
QGIS Application - Bug report #15527

Qgis Server incomplete rendering

2016-09-02 09:23 AM - Tudor Bărăscu

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.14.5 Regression?: No

Operating System: Debian Stretch Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23451

Description

Hello!

As I want to make a qgis server tutorial I decided at Tim's suggestion to work with the natural earth data.

However, the project works flawlessly under desktop, when using the server, between some scales I get incomplete rendered images

(although no error shows in logs).

server_problem.gif

As seen from the gif, zooming in and out on the countries WMS layer with world.qgs as source for qgis server, between some scales, the

images returned are incomplete.

How to replicate:

- Feed the world.qgs project to qgis server and open the countries layer with QGIS Desktop

- Zoom in and out like in the gif above

A request that should output almost all continents but only shows a little bit on the right is:

http://qgisltr.demo/cgi-bin/qgis_mapserv.fcgi?map=/home/web/Downloads/qgisserverdemo/world.qgs&&SERVICE=WMS&VERS

ION=1.3.0&REQUEST=GetMap&BBOX=-31218113.83429878205,-11753107.04153670371,28442439.91570121795,29868719.06939261407&CRS=EPSG:3857&WIDTH=764&HEIGHT=533&LAYERS=countries&STYLES=default&FORMAT=image/png&DPI=96&MAP_RES

9.06939261407&CRS=EPSG:3857&WIDTH=764&HEIGHT=533&LAYERS=countries&STYLES=default&FORMAT=image/png&DPI=96&MAP_RESOLUTION=96&FORMAT_OPTIONS=dpi:96&TRANSPARENT=TRUE


DPI=96&MAP_RESOLUTION=96&FORMAT_OPTIONS=dpi:96&TRANSPARENT=TRUE

History

#1 - 2016-09-03 01:40 AM - Tudor Bărăscu

QGIS Server renders well in 4326, the problem is with 3857.

There's no error whatsoever in the logs.

#2 - 2017-03-06 03:22 PM - Giovanni Manghi

- Priority changed from High to Normal

- Status changed from Open to Feedback

Just tested the attached project data on Ubuntu 16.04 and QGIS Desktop/Server 2.18.4 and is all ok.
#3 - 2017-03-08 02:27 AM - Tudor Bărăscu

Indeed I tested also with Debian Stretch + 2.18.4 and it's good!

However, I tested with 2.14.12 (server) and the bug is immediately replicable.

Thanks Giovanni!

#4 - 2017-03-08 02:40 AM - Giovanni Manghi

Tudor Bărăscu wrote:

Indeed I tested also with Debian Stretch + 2.18.4 and it's good!

However, I tested with 2.14.12 (server) and the bug is immediately replicable.

Thanks Giovanni!

Hi!

I think that as 2.18 will be the next LTR probably 2.14 will not get any fix/backport anymore. Maybe I'm wrong, but if not then this should be closed.

#5 - 2017-03-08 02:58 AM - Tudor Bărăscu

- Status changed from Feedback to Closed

Indeed it will. Let's just close it then!

Files

get_map_response_problem.zip 4.89 MB 2016-09-02 Tudor Bărăscu

server_problem.gif 325 KB 2016-09-02 Tudor Bărăscu
